%define indic_ver 0.4.33

Name:		m17n-db
Summary:	Multilingualization datafiles for m17n-lib
Version:	1.3.3
Release:	3%{?dist}
Group:		System Environment/Libraries
License:	LGPL
URL:		http://www.m17n.org/m17n-lib/index.html
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}-indic-%{indic_ver}.tar.gz
BuildArch: 	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch1:         bn-itrans-t-182227.patch

%description
This package contains multilingualization (m17n) datafiles for m17n-lib
which describe input maps, encoding maps, and OpenType font data
for many languages.


%package datafiles
Summary:	Multilingualization datafiles for m17n-lib
Group:		System Environment/Libraries

%description datafiles
m17n-db datafiles not needed for using the input maps.


%package common-cjk
Summary:	m17n-db common files for CJK input
Group:		System Environment/Libraries

%description common-cjk
m17n-db common files for Chinese, Japanese and Korean input maps.


%package amharic
Summary:	m17n-db input table for Amharic
Group:		System Environment/Libraries

%description amharic
m17n-db Amharic input table.


%package arabic
Summary:	m17n-db input table for Arabic
Group:		System Environment/Libraries

%description arabic
m17n-db Arabic input table.


%package armenian
Summary:	m17n-db input table for Armenian
Group:		System Environment/Libraries

%description armenian
m17n-db Armenian input table.


%package assamese
Summary:	m17n-db input table for Assamese
Group:		System Environment/Libraries

%description assamese
m17n-db Assamese input table.


%package bengali
Summary:	m17n-db input table for Bengali
Group:		System Environment/Libraries

%description bengali
m17n-db Bengali input table.


%package bopomofo
Summary:	m17n-db input table for Bopomofo
Group:		System Environment/Libraries

%description bopomofo
m17n-db Bopomofo input table.


%package chinese
Summary:	m17n-db input table for Chinese
Group:		System Environment/Libraries
Requires:	%{name}-common-cjk

%description chinese
m17n-db Chinese input map.


%package croatian
Summary:	m17n-db input table for Croatian
Group:		System Environment/Libraries

%description croatian
m17n-db Croatian input table.


%package dhivehi
Summary:	m17n-db input table for Dhivehi
Group:		System Environment/Libraries

%description dhivehi
m17n-db Dhivehi input table.


%package farsi
Summary:	m17n-db input table for Farsi
Group:		System Environment/Libraries

%description farsi
m17n-db Farsi input table.


%package generic
Summary:	Generic m17n-db input tables
Group:		System Environment/Libraries

%description generic
Generic m17n-db input table.


%package georgian
Summary:	m17n-db input table for Georgian
Group:		System Environment/Libraries

%description georgian
m17n-db Georgian input map.


%package greek
Summary:	m17n-db input table for Greek
Group:		System Environment/Libraries

%description greek
m17n-db Greek input table.


%package gujarati
Summary:	m17n-db input table for Gujarati
Group:		System Environment/Libraries

%description gujarati
m17n-db Gujarati input table.


%package hebrew
Summary:	m17n-db input table for Hebrew
Group:		System Environment/Libraries

%description hebrew
m17n-db Hebrew input table.


%package hindi
Summary:	m17n-db input table for Hindi
Group:		System Environment/Libraries

%description hindi
m17n-db Hindi input table.


%package japanese
Summary:	m17n-db input table for Japanese
Group:		System Environment/Libraries

%description japanese
m17n-db Japanese input map.


%package kazakh
Summary:	m17n-db input table for Kazakh
Group:		System Environment/Libraries

%description kazakh
m17n-db Kazakh input map.


%package khmer
Summary:	m17n-db input table for Khmer
Group:		System Environment/Libraries

%description khmer
m17n-db Khmer input map.


%package kannada
Summary:	m17n-db input table for Kannada
Group:		System Environment/Libraries

%description kannada
m17n-db Kannada input map.


%package korean
Summary:	m17n-db input table for Korean
Group:		System Environment/Libraries
Requires:	%{name}-common-cjk

%description korean
m17n-db Korean input map.


%package latin
Summary:	m17n-db input table for Latin
Group:		System Environment/Libraries

%description latin
m17n-db Latin input map.


%package lao
Summary:	m17n-db input table for Lao
Group:		System Environment/Libraries

%description lao
m17n-db Lao input map.


%package malayalam
Summary:	m17n-db input table for Malayalam
Group:		System Environment/Libraries

%description malayalam
m17n-db Malayalam input map.


%package marathi
Summary:	m17n-db input table for Marathi
Group:		System Environment/Libraries

%description marathi
m17n-db Marathi input map.


%package myanmar
Summary:	m17n-db input table for Myanmar
Group:		System Environment/Libraries

%description myanmar
m17n-db Myanmar input map.


%package nepali
Summary:	m17n-db input tables for Nepali
Group:		System Environment/Libraries

%description nepali
m17n-db Nepali input maps.


%package oriya
Summary:	m17n-db input table for Oriya
Group:		System Environment/Libraries

%description oriya
m17n-db Oriya input map.


%package punjabi
Summary:	m17n-db input table for Punjabi
Group:		System Environment/Libraries

%description punjabi
m17n-db Punjabi input map.


%package russian
Summary:	m17n-db input table for Russian
Group:		System Environment/Libraries

%description russian
m17n-db Russian input map.


%package serbian
Summary:	m17n-db input table for Serbian
Group:		System Environment/Libraries

%description serbian
m17n-db Serbian input map.


%package sinhala
Summary:	m17n-db input table for Sinhala
Group:		System Environment/Libraries

%description sinhala
m17n-db Sinhala input map.


%package slovak
Summary:	m17n-db input table for Slovak
Group:		System Environment/Libraries

%description slovak
m17n-db Slovak input map.


%package swedish
Summary:	m17n-db input table for Swedish
Group:		System Environment/Libraries

%description swedish
m17n-db Swedish input map.


%package syriac
Summary:	m17n-db input table for Syriac
Group:		System Environment/Libraries

%description syriac
m17n-db Syriac input map.


%package tamil
Summary:	m17n-db input table for Tamil
Group:		System Environment/Libraries

%description tamil
m17n-db Tamil input map.


%package telugu
Summary:	m17n-db input table for Telugu
Group:		System Environment/Libraries

%description telugu
m17n-db Telugu input map.


%package thai
Summary:	m17n-db input table for Thai
Group:		System Environment/Libraries

%description thai
m17n-db Thai input map.


%package tibetan
Summary:	m17n-db input table for Tibetan
Group:		System Environment/Libraries

%description tibetan
m17n-db Tibetan input table.


%package vietnamese
Summary:	m17n-db input table for Vietnamese
Group:		System Environment/Libraries

%description vietnamese
m17n-db Vietnamese input map.

%package urdu
Summary:	m17n-db input table for Urdu
Group:		System Environment/Libraries

%description urdu
m17n-db Urdu input map.


%prep
%setup -q -a1
%patch1 -p1 -b .1

%build
%configure
make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# add new Indic maps
cp -p %{name}-indic-%{indic_ver}/*.mim $RPM_BUILD_ROOT%{_datadir}/m17n
cp -p %{name}-indic-%{indic_ver}/*.png $RPM_BUILD_ROOT%{_datadir}/m17n/icons

# don't need ispell or anthy
rm $RPM_BUILD_ROOT%{_datadir}/m17n/{ispell.mim,icons/en-ispell.png}
rm $RPM_BUILD_ROOT%{_datadir}/m17n/{ja-anthy.mim,icons/ja-anthy.png}
# don't ship unijoy map for now
rm $RPM_BUILD_ROOT%{_datadir}/m17n/{bn-unijoy.mim,icons/bn-unijoy.png}

# drop pkgconfig file for now
rm $RPM_BUILD_ROOT%{_libdir}/pkgconfig/m17n-db.pc

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/*
%dir %{_datadir}/m17n
%{_datadir}/m17n/mdb.dir
%{_datadir}/m17n/*.tbl
%{_datadir}/m17n/command.mim

%files datafiles
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/*.flt
%{_datadir}/m17n/*.fst
%{_datadir}/m17n/*.map
%{_datadir}/m17n/*.tab
%{_datadir}/m17n/LOCALE.*

%files common-cjk
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/cjk-*.mim
%{_datadir}/m17n/variable.mim


%files amharic
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/am-*.mim
%{_datadir}/m17n/icons/am-*.png


%files arabic
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/ar-*.mim
%{_datadir}/m17n/icons/ar-*.png


%files armenian
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/hy-*.mim
%{_datadir}/m17n/icons/hy-*.png


%files assamese
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/as-*.mim
%{_datadir}/m17n/icons/as-*.png


%files bengali
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/bn-*.mim
%{_datadir}/m17n/icons/bn-*.png


%files bopomofo
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/bopo-*.mim
%{_datadir}/m17n/icons/bopo-*.png


%files chinese
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/zh-*.mim
%{_datadir}/m17n/icons/zh-*.png


%files croatian
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/hr-*.mim
%{_datadir}/m17n/icons/hr-*.png


%files dhivehi
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/dv-*.mim
%{_datadir}/m17n/icons/dv-*.png


%files farsi
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/fa-*.mim
%{_datadir}/m17n/icons/fa-*.png


%files generic
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/rfc1345.mim
%{_datadir}/m17n/icons/rfc1345.png
%{_datadir}/m17n/unicode.mim
%{_datadir}/m17n/icons/unicode.png


%files georgian
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/ka-*.mim
%{_datadir}/m17n/icons/ka-*.png


%files greek
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/el-*.mim
%{_datadir}/m17n/icons/el-*.png


%files gujarati
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/gu-*.mim
%{_datadir}/m17n/icons/gu-*.png


%files hebrew
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/he-*.mim
%{_datadir}/m17n/icons/he-*.png


%files hindi
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/hi-*.mim
%{_datadir}/m17n/icons/hi-*.png


%files japanese
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/ja-*.mim
%{_datadir}/m17n/icons/ja-*.png


%files kazakh
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/kk-*.mim
%{_datadir}/m17n/icons/kk-*.png


%files khmer
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/km-*.mim
%{_datadir}/m17n/icons/km-*.png


%files kannada
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/kn-*.mim
%{_datadir}/m17n/icons/kn-*.png


%files korean
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/ko-*.mim
%{_datadir}/m17n/icons/ko-*.png


%files lao
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/lo-*.mim
%{_datadir}/m17n/icons/lo-*.png


%files latin
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/latn-*.mim
%{_datadir}/m17n/icons/latn-*.png


%files malayalam
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/ml-*.mim
%{_datadir}/m17n/icons/ml-*.png


%files marathi
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/mr-*.mim
%{_datadir}/m17n/icons/mr-*.png


%files myanmar
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/my-*.mim
%{_datadir}/m17n/icons/my-*.png


%files nepali
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/ne-*.mim
%{_datadir}/m17n/icons/ne-*.png


%files oriya
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/or-*.mim
%{_datadir}/m17n/icons/or-*.png


%files punjabi
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/pa-*.mim
%{_datadir}/m17n/icons/pa-*.png


%files russian
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/ru-*.mim
%{_datadir}/m17n/icons/ru-*.png


%files serbian
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/sr-*.mim
%{_datadir}/m17n/icons/sr-*.png


%files sinhala
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/si-*.mim
%{_datadir}/m17n/icons/si-*.png


%files slovak
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/sk-*.mim
%{_datadir}/m17n/icons/sk-*.png


%files swedish
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/sv-*.mim
%{_datadir}/m17n/icons/sv-*.png


%files syriac
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/syrc-*.mim
%{_datadir}/m17n/icons/syrc-*.png


%files tamil
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/ta-*.mim
%{_datadir}/m17n/icons/ta-*.png


%files telugu
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/te-*.mim
%{_datadir}/m17n/icons/te-*.png


%files thai
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/th-*.mim
%{_datadir}/m17n/icons/th-*.png


%files tibetan
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/bo-*.mim
%{_datadir}/m17n/icons/bo-*.png


%files vietnamese
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/vi-*.mim
%{_datadir}/m17n/icons/vi-*.png


%files urdu
%defattr(-,root,root)
%dir %{_datadir}/m17n
%{_datadir}/m17n/ur-*.mim
%{_datadir}/m17n/icons/ur-*.png


%changelog
* Mon Nov 10 2006 Mayank Jain <majain@redhat.com>
- A build for FC5, updated several keymaps.

* Thu Mar  9 2006 Jens Petersen <petersen@redhat.com> - 1.3.3-2
- Bengali input maps fixes (runab)
  - map Probhat '*' key to an alternate sequence since glyph missing (#179821)
  - more itrans cleanup (#182227)
- add icon for Tamil99 (aalam)

* Thu Mar  2 2006 Jens Petersen <petersen@redhat.com> - 1.3.3-1
- update to 1.3.3 bugfix release
- fixes to Bengali, Hindi, and Punjabi maps (runab, aalam)
- Tamil phonetic map now works
- new Tamil99 Government Standard map (I Felix)

* Tue Feb 14 2006 Jens Petersen <petersen@redhat.com> - 1.3.2-2
- add Indian input maps ported from scim-tables
- add Nepali subpackage

* Fri Feb 10 2006 Jens Petersen <petersen@redhat.com> - 1.3.2-1
- update to 1.3.2 bugfix release
- do not include ja-anthy.mim input map

* Thu Feb  2 2006 Jens Petersen <petersen@redhat.com> - 1.3.1-1
- update to 1.3.1 release
  - add new icons to language subpackages
  - new common-cjk subpackage for CJK common files
  - new Swedish subpackage
  - exclude new pkgconfig file

* Fri Dec 16 2005 Jens Petersen <petersen@redhat.com> - 1.2.0-2
- import to Fedora Core

* Wed Nov  9 2005 Jens Petersen <petersen@redhat.com> - 1.2.0-1
- separate output datafiles to datafiles subpackage.

* Wed Oct  5 2005 Jens Petersen <petersen@redhat.com>
- initial packaging for Fedora Extras

* Sat Sep 24 2005 Jens Petersen <petersen@redhat.com>
- split .mim input tables into separate subpackages per language

* Sat Jan 15 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp>
- modify spec for fedora
